Subject: Re: linux-next: duplicate patches in the kvm-x86 tree

From: Sean Christopherson <[email-masked]>
Date: Tue, 24 Jan 2023 16:15:52 +0000

On Tue, Jan 24, 2023, Paolo Bonzini wrote:
> On Tue, Jan 24, 2023 at 9:47 AM Marc Zyngier <[email-masked]> wrote:
> >
> > Hi Stephen,
> >
> > On Tue, 24 Jan 2023 01:55:15 +0000,
> > Stephen Rothwell <[email-masked]> wrote:
> > >
> > > Hi all,
> > >
> > > The following commits are also in other tree(s?) as different
> > > commits (but the same patches):
> > >
> > >   0b6639e8ed87 ("KVM: s390: Move hardware setup/unsetup to init/exit")
> > >   0c2be59e0b53 ("KVM: x86: Use KBUILD_MODNAME to specify vendor module name")
> > >   1334f214d19f ("KVM: s390: Unwind kvm_arch_init() piece-by-piece() if a step fails")
> >
> > [...]
> >
> > > I guess someone has rebased one of the kvm trees and it had already been
> > > merged into another (like the kvm or kvm-arm trees).
> >
> > Huh, that's worrying. I'm carrying the kvm-hw-enable-refactor branch
> > from the KVM tree, which I understood to be a stable branch[1], and
> > which I merged to avoid conflicts to be propagated everywhere.
> 
> It wasn't 100% guaranteed to be stable because it was meant to be
> tested and have fixes squashed in. But since I had no issues reported
> from either maintainers or bots,

There's one issue, but I didn't explicitly call out that it could be squashed.

https://lore.kernel.org/all/[email-masked]

> I will indeed merge commit 9f1a4c004869 aka kvm/kvm-hw-enable-refactor into
> kvm/next. Sean, please rebase to drop the duplicate commits.

Will do.